Bug 60488 - Charts not plotted automatically
Summary: Charts not plotted automatically
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: low minor
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.1.0 target:4.0.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-02-08 11:39 UTC by Dave Albiston
Modified: 2013-02-26 18:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test spreadsheet (created by a Delphi program, not MS Office or Libre Office) (12.33 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-02-08 11:39 UTC, Dave Albiston
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Albiston 2013-02-08 11:39:12 UTC
Created attachment 74420 [details]
Test spreadsheet (created by a Delphi program, not MS Office or Libre Office)

Opening a .XLSX spreadsheet, the graphs are not plotted automatically. When the data ranges are confirmed by clicking on Data Ranges and then Select Data Range button, the graphs are then plotted correctly.

These were displayed correctly with previous version 3.x.

Graphs in a .XLS spreadsheet are displayed automatically.
Comment 1 Jorendc 2013-02-10 16:39:47 UTC
Thanks for reporting!
I can confirm this behavior using Linux Mint 14 x64 and LibreOffice 4.0.0.3 rc3 (=release).

Kind regards,
Joren
Comment 2 Jorendc 2013-02-10 16:43:08 UTC
Pressing ctrl+shift+F9 resolve this issue. Therefore this is an Import cache problem.

Markus asked me to CC immediately himself, Kohei (and Eike?) regarding such bugs.
Comment 3 Thomas Arnhold 2013-02-10 17:38:32 UTC
Works: Libo Version 3.6.3.2 (Build ID: 3.6.3.2-8.fc18) on Fedora 18

Doesn't work: Libo Version 4.0.0.3 (Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89) on Windows 7.

So it's a regression.
Comment 4 Markus Mohrhard 2013-02-14 21:23:01 UTC
The problem will only happen with documents that don't contain a replacement graphic. I need to check the standard to see if that is allowed and we need to fix it or if we can safely assume that any document not containing a replacement graphic is invalid and we don't need to care.
Comment 5 Markus Mohrhard 2013-02-14 21:36:37 UTC
Ok there is another problem. We are rendering the chart too early during import. If we wait until the second sheet has been imported everything is fine.

This bug is unrelated to cached value import (at least some part).
Comment 6 Markus Mohrhard 2013-02-20 22:15:06 UTC
(In reply to comment #5)
> This bug is unrelated to cached value import (at least some part).

Which is after more debugging only partly true. Recalculating the whole sheep of course also forces a repaint of the chart.
Comment 7 Markus Mohrhard 2013-02-20 22:22:14 UTC
(In reply to comment #4)
> The problem will only happen with documents that don't contain a replacement
> graphic. I need to check the standard to see if that is allowed and we need
> to fix it or if we can safely assume that any document not containing a
> replacement graphic is invalid and we don't need to care.

Which is also wrong as OOXML has no replacement graphic support. So this bug affects all OOXML documents containing charts that reference data in later sheets.
Comment 8 Markus Mohrhard 2013-02-21 01:25:37 UTC
I have a fix for it by delaying the drawing object import until all content has been imported.
Comment 9 Not Assigned 2013-02-21 01:32:48 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c351c32ea9b34f7b798c2487854753bb4693110

delay importing all drawing elements until content is loaded, fdo#60488



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Not Assigned 2013-02-26 07:27:10 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c58a1425233d76812f32c3e9e2a5910e7b88f0e&h=libreoffice-4-0

delay importing all drawing elements until content is loaded, fdo#60488


It will be available in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Not Assigned 2013-02-26 14:25:35 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ab82ad7b1c5c9e0567319e60aacd6e960668ad2d&h=libreoffice-4-0-1

delay importing all drawing elements until content is loaded, fdo#60488


It will be available already in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.